Skip to main content
POST
/
o
/
{organisation_id}
/
automations
/
{automation_id}
/
recordings
Create a recording for an automation
curl --request POST \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/automations/{automation_id}/recordings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fileName": "<string>",
  "contentType": "<string>",
  "expirySeconds": 123,
  "hasVoiceover": false
}
'
{
  "id": "<string>",
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required
automation_id
string<ulid>
required

Body

application/json
fileName
string
required

The name of the file to be uploaded

contentType
string
required

The content type of the file to be uploaded

expirySeconds
integer

The number of seconds the signed URL will be valid for

hasVoiceover
boolean
default:false

Whether the recording has voiceover content

Response

OK

id
string<ulid>
required
url
string<uri>
required

The pre-signed URL that can be used to upload the file